@import './themes';

:host {
  display: flex;
  padding: 5px;
  align-items: center;
}

.name {
  color: RGB(var(--on-background-1));
  width: 160px;
  text-align: right;
  font-size: 16px;
  line-height: 36px;
  padding: 0 30px 0 0;
}

.type {
  font-size: 12px;
  text-align: center;
  width: 85px;
  line-height: 20px;
  padding: 3px 12px;
  border-radius: 18px;
  color: RGB(var(--on-primary-1));
  &.IDE {
    background-color: #6600ff;
  }
  &.Language {
    background-color: #ff3300;
  }
  &.DevOp {
    background-color: #d11aff;
  }
  &.Library {
    background-color: #ff8000;
  }
  &.Framework {
    background-color: #3385ff;
  }
}

.last-update {
  color: var(--primary-A400-color);
  text-align: center;
  margin-left: 10px;
  width: 70px;
}

.container {
  width: 100px;
  height: 26px;
  margin: 8px;
  background-color: RGB(var(--primary-A200-color));
  border-radius: 20px;
  background-color: RGB(var(--background-2));
}

.level {
  height: 100%;
  text-align: right;
  border-radius: 13px;
  width: 0%;
  transition: width 5s;
  @for $i from 1 to 100 {
    $width: percentage($i/100);

    &.skill-#{$i} {
      width: $width;
    }
  }

  &.green-A100 {
    background-color: rgba(var(--primary-1), 0.5);
    @include box-shadow(var(--primary-1));
  }

  &.green-A200 {
    background-color: RGB(var(--primary-1));
    @include box-shadow(var(--primary-1));
  }
}
